{varType Skadmin\ChildrensCamp\Doctrine\ChildrensCamp\ChildrensCamp $childrensCamp}
{varType Skadmin\ChildrensCamp\Doctrine\ChildrensCamp\ChildrensCampSupplement\ChildrensCampSupplement[] $supplements}

<div class="row">

    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body">
                <div class="row"> {* TAB-TABS *}
                    <div class="col-12">
                        <ul class="nav nav-tabs" id="childrens-camp-tab" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" id="general-tab" data-toggle="tab" href="#general" role="tab" aria-controls="general" aria-selected="false">
                                    <i class="fas fa-fw fa-cogs"></i> <span class="d-none d-lg-inline-block">{_'form.childrens-camp.edit.tab.general'}</span>
                                </a>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link" id="price-tab" data-toggle="tab" href="#price" role="tab" aria-controls="price" aria-selected="false">
                                    <i class="fas fa-fw fa-file-invoice-dollar"></i> <span class="d-none d-lg-inline-block">{_'form.childrens-camp.edit.tab.price'}</span>
                                </a>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link" id="registration-tab" data-toggle="tab" href="#registration" role="tab" aria-controls="registration" aria-selected="false">
                                    <i class="fas fa-fw fa-users-cog"></i> <span class="d-none d-lg-inline-block">{_'form.childrens-camp.edit.tab.registration'}</span>
                                </a>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link" id="mail-template-tab" data-toggle="tab" href="#mail-template" role="tab" aria-controls="mail-template" aria-selected="false">
                                    <i class="fas fa-fw fa-mail-bulk"></i> <span class="d-none d-lg-inline-block">{_'form.childrens-camp.edit.tab.mail-template'}</span>
                                </a>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link" id="document-tab" data-toggle="modal" href="#document">
                                    <i class="fas fa-fw fa-copy"></i>
                                    <span class="d-none d-lg-inline-block">
                                        {_'form.childrens-camp.edit.tab.document'}
                                        <span class="pt-1 badge badge-primary" n:snippet="snipDocumentsCount">{$childrensCamp->getFiles()->count()}</span>
                                    </span>
                                </a>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link ajax" id="registration-list-tab"
                                   href="{plink Component:default package => new Skadmin\QuestBook\BaseControl(), render => 'overview', entity => get_class($childrensCamp), entityId => $childrensCamp->getId()}">
                                    <i class="fas fa-fw fa-book-reader"></i>
                                    <span class="d-none d-lg-inline-block">{_'form.childrens-camp.edit.tab.quest-book'}</span>
                                </a>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link" id="registration-list-tab"
                                   href="{plink Component:default package => new Skadmin\ChildrensCamp\BaseControl(), render => 'overview-registration', id => $childrensCamp->getId()}">
                                    <i class="fas fa-fw fa-users"></i>
                                    <span class="d-none d-lg-inline-block">{_'form.childrens-camp.edit.tab.registration-list'} <span
                                                class="pt-1 badge badge-primary">{$childrensCamp->getValidRegistration()->count()}</span></span>
                                </a>
                            </li>

                            {$childrensCamp|renderSeoTab}
                        </ul>
                    </div>
                </div>

                {form form}
                    <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>

                    <div class="tab-content pt-3" id="childrens-camp-tab-content"> {* TAB-CONTENT *}
                        <div class="tab-pane fade active show" id="general" role="tabpanel" aria-labelledby="general-tab">
                            <div class="row">
                                <div class="col-12 col-lg-7 col-xl-8">
                                    {label name /}
                                    <div class="form-group input-group border-right-0">
                                        {input name class => 'form-control'}
                                        <div class="input-group-append" n:ifset="$form['changeWebalize']">
                                            <div class="input-group-text custom-control custom-switch bg-white border-left-0">
                                                {input changeWebalize: class => "custom-control-input"}
                                                {label changeWebalize: class => "custom-control-label ml-2" /}
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-12 col-lg-5 col-xl-4">
                                    {label term /}
                                    <div class="form-group">
                                        {input term class => 'form-control'}
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-12 col-sm-9 col-lg-10">
                                    {label address /}
                                    <div class="form-group">
                                        {input address class => 'form-control'}
                                    </div>
                                </div>

                                <div class="col-12 col-sm-3 col-lg-2">
                                    {label capacity /}
                                    <div class="form-group">
                                        {input capacity class => 'form-control'}
                                    </div>
                                </div>
                            </div>

                            {$form['imagePreview']|formImageWithRfm:$childrensCamp->getImagePreview()}

                            <div class="row">
                                <div class="col-12">
                                    {$form['isActive']|formCheckbox}
                                </div>
                            </div>

                            <div class="row mt-4 mb-2">
                                <div class="col-12">
                                    <ul class="nav nav-pills" n:inner-foreach="['description', 'content', 'textPrice', 'textCampAreal', 'textTransport', 'textMenu', 'textQuestBook'] as $formPart">
                                        <li class="nav-item">
                                            <a class="nav-link {$iterator->first ? 'active'}" href="#general-{\App\Model\System\Strings::camelizeToWebalize($formPart)}">
                                                {_$form[$formPart]->getCaption()}
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>

                            <div class="row form-group">
                                <div class="col-12 tab-content" n:inner-foreach="['description', 'content', 'textPrice', 'textCampAreal', 'textTransport', 'textMenu', 'textQuestBook'] as $formPart">
                                    <div class="tab-pane fade {$iterator->first ? 'show active'}" id="general-{\App\Model\System\Strings::camelizeToWebalize($formPart)}">
                                        <div class="card border-left-warning shadow mb-2" n:if="('form.childrens-camp.edit.' . \App\Model\System\Strings::camelizeToWebalize($formPart) . '.hint'|translate)">
                                            <div class="card-body">
                                                <div class="row">
                                                    <div class="col">
                                                        <i class="fas fa-fw fa-info fa-lg text-warning"></i>
                                                        {_'form.childrens-camp.edit.' . \App\Model\System\Strings::camelizeToWebalize($formPart) . '.hint'}
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        {input $formPart class => 'form-control',  data-tinymce => 'default'}
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="price" role="tabpanel" aria-labelledby="price-tab">
                            <div class="row">
                                <div class="col-12 col-lg-6">
                                    {label price-price /}
                                    <div class="form-group">
                                        {input price-price class => 'form-control'}
                                    </div>
                                </div>

                                <div class="col-12 col-lg-6">
                                    {label price-tshirtPrice /}
                                    <div class="form-group">
                                        {input price-tshirtPrice class => 'form-control'}
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-12">
                                    {label price-supplements /}
                                    <div class="form-group">
                                        {input price-supplements class => 'form-control chosen-select',
                                        data-chosen-placeholder-text => ('form.childrens-camp.edit.supplements.placeholder'|translate),
                                        data-chosen-no-result-text => ('form.childrens-camp.edit.supplements.no-result'|translate)}
                                    </div>
                                </div>

                                <div class="col-12 mb-3" n:foreach="$supplements as $supplement" id="toggle-supplement-{$supplement->getId()}">
                                    <div class="border-bottom"><span class="font-weight-bold">{$supplement->getName()}</span> - {$supplement->getPrice()|number:2,',',' '} Kč</div>
                                    <div class="pl-3">{$supplement->getContent()|noescape}</div>
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="registration" role="tabpanel" aria-labelledby="registration-tab">
                            <div class="row">
                                <div class="col-12 mb-3">
                                    {label registration-registrationExternalLink /}
                                    <div class="form-group mb-0">
                                        {input registration-registrationExternalLink class => 'form-control'}
                                    </div>
                                    <small class="opacity-50"><i class="fas fa-fw fa-info-circle"></i> {_'form.childrens-camp.edit.registration-external-link.hint'}</small>
                                </div>
                            </div>

                            <div id="toggle-registration">
                                <div class="row">
                                    <div class="col-12">
                                        {$form['registration-isOpenRegistration']|formCheckbox}
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-12 col-lg-5">
                                        {label registration-transports /}
                                        <div class="form-group">
                                            {input registration-transports class => 'form-control chosen-select',
                                            data-chosen-placeholder-text => ('form.childrens-camp.edit.transports.placeholder'|translate),
                                            data-chosen-no-result-text => ('form.childrens-camp.edit.transports.no-result'|translate)}
                                        </div>
                                    </div>

                                    <div class="col-12 col-sm-5">
                                        {label registration-payments /}
                                        <div class="form-group">
                                            {input registration-payments class => 'form-control chosen-select',
                                            data-chosen-placeholder-text => ('form.childrens-camp.edit.payments.placeholder'|translate),
                                            data-chosen-no-result-text => ('form.childrens-camp.edit.payments.no-result'|translate)}
                                        </div>
                                    </div>

                                    <div class="col-12 col-sm-2">
                                        {label registration-variableSymbolPrefix /}
                                        <div class="form-group">
                                            {input registration-variableSymbolPrefix class => 'form-control'}
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-12 col-lg-4">
                                        {label registration-tshirtColorList /}
                                        <div class="form-group">
                                            {input registration-tshirtColorList class => 'form-control', data-tagsinput-type => 'text'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-sm-4">
                                        {label registration-tshirtSizeList /}
                                        <div class="form-group">
                                            {input registration-tshirtSizeList class => 'form-control', data-tagsinput-type => 'text'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-sm-4">
                                        {label registration-tshirtDeathLine /}
                                        <div class="form-group">
                                            {input registration-tshirtDeathLine class => 'form-control'}
                                        </div>
                                    </div>
                                </div>

                                <div class="row form-group">
                                <div class="col-12">
                                    {label registration-textRegistration /}
                                    <div class="form-group">
                                        {input registration-textRegistration class => 'form-control',  data-tinymce => 'default'}
                                    </div>
                                </div>
                            </div>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="mail-template" role="tabpanel" aria-labelledby="mail-template-tab">

                            <div class="row">
                                <div class="col-12">
                                    {_'form.childrens-camp.edit.childrens-camp-registration.mail-templates.perex'}
                                </div>
                            </div>

                            <div class="row mt-4 mb-2">
                                <div class="col-12">
                                    <ul class="nav nav-pills" n:inner-foreach="$form['mailTemplates']->getComponents() as $stateId => $mailTemplate">
                                        <li class="nav-item">
                                            <a class="nav-link {$iterator->first ? 'active'}" href="#mail-template-{$stateId}">
                                                {_$mailTemplate['name']->getValue()} <sup class="text-danger" n:if="$mailTemplate['subject']->getValue() === ''">•</sup>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>

                            <div class="row form-group">
                                <div class="col-12 tab-content" n:inner-foreach="$form['mailTemplates']->getComponents() as $stateId => $mailTemplate">
                                    <div class="tab-pane fade {$iterator->first ? 'show active'}" id="mail-template-{$stateId}">

                                        <div class="row">
                                            <div class="col-12 form-group">
                                                {label $mailTemplate['subject'] /}
                                                <div class="form-group">
                                                    {input $mailTemplate['subject'] class => 'form-control'}
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-12 form-group">
                                                {label $mailTemplate['recipients'] /}
                                                {input $mailTemplate['recipients'] class => 'form-control', data-tagsinput-type => 'email'}
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-12 form-group">
                                                {label $mailTemplate['preheader'] /} <sup class="fa-sm"><a href="#" class="fas fa-fw fa-info-circle cursor-help" data-toggle="popover"
                                                                                                           data-placement="right" data-trigger="focus hover" data-html="true"
                                                                                                           title="{_'form.childrens-camp.edit.childrens-camp-registration.mail-template.preheader.title'}"
                                                                                                           data-content='{_$preheaderTooltip|noescape}'></a></sup>
                                                {input $mailTemplate['preheader'] class => 'form-control'}
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-12 form-group">
                                                {label $mailTemplate['content'] /}
                                                <div class="form-group">
                                                    {input $mailTemplate['content'] class => 'form-control',  data-tinymce => 'mail'}
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row mb-2">
                                            {var $_mailTemplate = $childrensCamp->findMailTemplate($mailTemplate['class']->getValue(), $stateId)}
                                            {if $_mailTemplate === null}
                                                <div class="col-12">
                                                    {$mailTemplate['attachments']|formFile}
                                                </div>
                                            {else}
                                                <div class="col-12">
                                                    {_'form.childrens-camp.edit.childrens-camp-registration.attachments'}
                                                    <a href="{plink Component:default package => new Skadmin\File\BaseControl, render => 'form-file-manager', entity => get_class($_mailTemplate), entityId => $_mailTemplate->getId(), title => (new Skadmin\Translator\SimpleTranslation('form.childrens-camp.edit.childrens-camp-registration.mail-template %s %s', [$childrensCamp->getName(), ($mailTemplate['name']->getValue()|translate)])|translate)}"
                                                       class="btn btn-xs btn-outline-primary ajax">
                                                        <i class="fas fa-fw fa-pen"></i>
                                                        {_'form.childrens-camp.edit.childrens-camp-registration.attachments.edit'}
                                                    </a>
                                                </div>
                                                <div class="col-12 mt-3 table-responsive">
                                                    <table class="table table-striped">
                                                        <tr n:if="$_mailTemplate->getFiles()->count() === 0">
                                                            <td class="text-muted text-center">
                                                                {_'form.childrens-camp.edit.childrens-camp-registration.attachments.not-found'}
                                                            </td>
                                                        </tr>
                                                        <tr n:foreach="$_mailTemplate->getFiles() as $file">
                                                            <td>{$file->getName()}</td>
                                                            <td class="text-right">{$file->getSizeInUnit()}</td>
                                                            <td class="text-right"><a n:href="forceDownloadFile! hash => $file->getHash()" class="fas fa-fw fa-download"></a></td>
                                                        </tr>
                                                    </table>
                                                </div>
                                            {/if}
                                        </div>

                                        <div class="row">
                                            <div class="col-12 form-group">
                                                <h6 class=" font-weight-bold text-primary">{_'form.childrens-camp.edit.childrens-camp-registration.mail-template.help'}</h6>
                                                <div class="border-left-warning p-3" n:if="count($parameters[$mailTemplate['class']->getValue()]) === 0">
                                                    {_'form.childrens-camp.edit.childrens-camp-registration.mail-template.help.no-parameter'}
                                                </div>

                                                <table class="table table-striped table-hover border-left-warning" n:if="count($parameters[$mailTemplate['class']->getValue()]) !== 0">
                                                    <thead>
                                                    <tr>
                                                        <td colspan="3">{_'form.childrens-camp.edit.childrens-camp-registration.mail-template.table.help'}</td>
                                                    </tr>
                                                    <tr>
                                                        <th class="text-nowrap">{_'form.childrens-camp.edit.childrens-camp-registration.mail-template.table.name'}</th>
                                                        <th class="w-25">{_'form.childrens-camp.edit.childrens-camp-registration.mail-template.table.description'}</th>
                                                        <th class="w-50">{_'form.childrens-camp.edit.childrens-camp-registration.mail-template.table.example'}</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr n:foreach="$parameters[$mailTemplate['class']->getValue()] as $parametr">
                                                        <td class="text-nowrap" data-copy-to-clipboard="text">[{$parametr['name']}]</td>
                                                        <td>{_$parametr['description']}</td>
                                                        <td>{_$parametr['example']|noescape}</td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            {input send class => 'btn btn-primary w-100 w-lg-auto mb-2'}
                            {input sendBack class => 'btn btn-outline-primary w-100 w-lg-auto mb-2'}
                            {input back class => 'btn btn-light w-100 w-lg-auto mb-2'}
                        </div>
                    </div>
                {/form}
            </div>
        </div>
    </div>

</div>

<div class="modal fade" id="document" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">{_'form.childrens-camp.edit.tab.document.title'}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>

            <div class="modal-body">
                {if $childrensCamp->isLoaded()}
                    {control formFile}

                    <div class="row mt-3" n:snippet="snipDocuments">
                        <div class="col-12 table-responsive" n:if="$childrensCamp->getFiles()->count()">
                            <table class="table table-striped table-hover">
                                <thead>
                                <tr>
                                    <th>{_'form.childrens-camp.edit.file.name'}</th>
                                    <th class="text-right">{_'form.childrens-camp.edit.file.size'}</th>
                                    <th class="text-right">{_'form.childrens-camp.edit.file.last-update-at'}</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr n:foreach="$childrensCamp->getFiles() as $file">
                                    <td>
                                        <a n:href="downloadFile! hash => $file->getHash()">
                                            {$file->getName()}
                                        </a>
                                    </td>
                                    <td class="text-right">{$file->getSizeInUnit()}</td>
                                    <td class="text-right">{$file->getLastUpdateAt()|date:'d.m.Y H:i'}</td>
                                    <th class="text-right">
                                        <a n:href="downloadFile! hash => $file->getHash()" class="btn btn-xs btn-outline-primary">
                                            <i class="fas fa-download"></i> {_'form.childrens-camp.edit.file.action.download'}
                                        </a>
                                        <a href="#"
                                           data-link="{link removeFile! hash => $file->getHash()}"
                                           data-confirm="{_'form.childrens-camp.edit.file.remove.confirm'}"
                                           class="btn btn-xs btn-outline-danger">
                                            <i class="far fa-trash-alt"></i> {_'form.childrens-camp.edit.file.action.remove'}
                                        </a>
                                    </th>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                {else}
                    <div class="h3 my-3 text-center text-muted">{_'form.childrens-camp.edit.inactive'}</div>
                {/if}
            </div>
        </div>
    </div>
</div>
